﻿using AduSkin.Controls.Metro;
using AduSkin.Themes;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace JianGongYun
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : MetroWindow
    {
        public MainWindow()
        {
            InitializeComponent();
            this.Closed += delegate { Application.Current.Shutdown(); };
            Theme.ColorChange += delegate
            {
                // 不要通过XAML来绑定颜色，无法获取到通知
                BorderBrush = Theme.CurrentColor.OpaqueSolidColorBrush;
            };
            BorderBrush = new SolidColorBrush(color: Color.FromRgb(42, 43, 48));


            //TRTC集成测试
            //ManageLiteAV.ITRTCCloud lTRTCCloud = ManageLiteAV.ITRTCCloud.getTRTCShareInstance();
            //MessageBox.Show(lTRTCCloud.getSDKVersion());
            //ManageLiteAV.ITRTCCloud.destroyTRTCShareInstance();
        }
    }
}
